Computer Management

  • Computer Management overview
  • System Tools overview
  • Storage overview
  • Services and Applications overview


Computer Management overview

Use Computer Management to manage local or remote computers using a single, consolidated desktop tool. It combines several Windows 2000 administration utilities into a single console tree, providing easy access to a specific computer's administrative properties and tools. Use Computer Management to:

  • Monitor system events such as logon times and application errors.
  • Create and manage shares.
  • View a list of users connected to a local or remote computer.
  • Start and stop system services such as the Task Scheduler and the Spooler.
  • Set properties for storage devices.
  • View device configurations and add new device drivers.
  • Manage server applications and services such as the Domain Name System (DNS) service or the Dynamic Host Configuration Protocol (DHCP) service.

Computer Management Interface

Computer Management uses a two-pane view that is similar to Windows Explorer. The console tree (for navigation and tool selection) contains the administrative tools, storage devices, and server applications and services available on the local or remote computer. The three nodes in this tree are System Tools, Storage, and Services and Applications.

You perform administrative tasks by selecting a tool in the console tree, and using menus and toolbars to take action on that tool in the right, or results, pane which displays the tool's attributes, data, or available subtools. The results may be a list of what is contained by the object you select (for example, a list of user sessions if you clicked the Sessions tool under Shared Folders in System Tools), or it may be another kind of management view (for example, the contents of the computer's application log).

Note

  • You must be a member of the Administrators group to take full advantage of Computer Management. If you are not a member of the Administrators group, you won't have access rights to view or modify administrative properties, and you won't have permission to perform administrative tasks.


System Tools overview

System Tools is the first node in the Computer Management console tree. In the default configuration, six system tools are accessible through the System Tools node.

For more information about the individual tools, click one of the following:

  • Performance Logs and Alerts
  • Local Users and Groups
  • System Information
  • Shared Folders
  • Event Viewer
  • Device Manager

Related Topics


Storage overview

Storage is the second node in the Computer Management console tree. In the default configuration, this node displays all of the storage devices that are installed on a computer. You can view and manage the properties of any storage device through this node, including drive labels, disk space used, access rights, and share permissions. You can also use the Disk Management snap-in under this node.


Services and Applications overview

Services and Applications is the third node in the Computer Management console tree. Through this node you can view and manage the properties of any server service or application that is installed on the computer such as DNS and DHCP.

This node includes the following default set of services and applications. The actual set of services and applications you see may vary.

  • DNS
  • DHCP
  • Services for Macintosh
  • Fax Service
  • RAS Server
  • Routing Server
  • WINS


Device Manager

You can check the status of any device installed on a computer and update the associated device drivers using the Device Manager. For example, Device Manager will tell you whether a device is working properly or whether there is a conflict between two devices.


Event Viewer

You can use Event Viewer to monitor various hardware and software activities. Event Viewer does this by examining event logs, which record application, system, and security events.

For example, you can view the system event log to see when a particular service such as the Dynamic Host Configuration Protocol (DHCP) service has been started and stopped, or whether the service failed to start because of an error.


Shared Folders

You can use Shared Folders to manage the properties of shared resources. For example, you can change the access rights for a shared resource so that certain users have read-only access. You can also change share permissions for a resource in the Properties dialog box of any shared resource by right-clicking on the resource and then clicking Properties.

Shared resources are managed in three folders:

Open Files

Use the Open Files folder to see which files and resources are open on a share. It also allows you to close files that are open.

Related Topics

Sessions

Use the Sessions folder to see which users are connected to a share. It also allows you to disconnect users from a share.

Related Topics

Shares

Use the Shares folder to manage the properties of shared resources. For example, you can change the access rights for a shared resource so that certain users have read-only access.

You can also change the sharing permissions for a resource in the Properties dialog box of any shared resource by right-clicking on the resource, and then clicking Properties.


Performance Logs and Alerts

Through Performance Logs and Alerts you can configure logs to record performance data and set system alerts to notify you when a specified counter's value is above or below a defined threshold. You can record data about hardware usage and the activity of system services from local or remote computers. Logging can occur manually on demand, or automatically based on a user-defined schedule. Logged data can be viewed using the System Monitor display or can be exported to spreadsheet programs or databases for analysis and report generation.


Services

You can use the Services tool to start and stop system services on a computer. For example, you can stop the Spooler service if the computer is not used for printing. The Services tool is under the Services and Applications node.


System Information

You can use System Information to quickly collect and display your system configuration data. Support technicians require specific information about your computer so that they can resolve your system problem.


Local Users and Groups

You can use the Local Users and Groups folders to manage the users and user groups that are defined on the local or a remote computer. One folder exists for each computer on which you can manage users and groups. The Local Users and Groups folders are under the System Tools node.